
Core - Bug # 24960

Epic # 55070 (Accepted): Workpackages
Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)

Status: Rejected Priority: Should have
Author: Steffen Gebert Category:
Created: 2011-02-04 Assigned To:
Updated: 2015-06-20 Due date:
TYPO3 Version: 4.5
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: Rewrite t3lib_loadModules::getRelativePath()
Description

This function does lots of string magic and is called ~200 times during a backend.php call.

It consumes ~14% of the total rendering time.

(issue imported from #M17488)

History
#1 - 2014-01-30 17:30 - Alexander Opitz
- Target version deleted (0)
- Parent task set to #55065
- Is Regression set to No

#2 - 2014-12-31 21:29 - Benjamin Mack
- Target version set to 7.1 (Cleanup)

#3 - 2015-06-15 17:45 - Benjamin Mack
- Target version changed from 7.1 (Cleanup) to 7.4 (Backend)

#4 - 2015-06-20 19:08 - Benjamin Mack
- Status changed from New to Rejected

as of TYPO3 CMS 7 this is only called once during loading of backend.php, then no more.
